<?php

// This file is part of Moodle - http://moodle.org/

//

// Moodle is free software: you can redistribute it and/or modify

// it under the terms of the GNU General Public License as published by

// the Free Software Foundation, either version 3 of the License, or

// (at your option) any later version.

//

// Moodle is distributed in the hope that it will be useful,

// but WITHOUT ANY WARRANTY; without even the implied warranty of

// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

// GNU General Public License for more details.

//

// You should have received a copy of the GNU General Public License

// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.



/**

 * Theme version info

 *

 * @package    theme

 * @subpackage bhs_academy

 * @copyright  2013 Colin Wheelhouse

 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later

 */



class theme_bhs_academy_core_renderer extends core_renderer {





    /**

     * Returns the custom menu if one has been set

     *

     * A custom menu can be configured by browsing to

     *    Settings: Administration > Appearance > Themes > Theme settings

     * and then configuring the custommenu config setting as described.

     *

     * @param string $custommenuitems - custom menuitems set by theme instead of global theme settings

     * @return string

     */



       protected function render_custom_menu(custom_menu $menu) {



        //Adds custom branches before custom menu items



            $branchlabel = "";

            $branchurl   = new moodle_url('/index.php');

            $branchtitle = get_string('home');

            $branchsort  = -1;



            $branch = $menu->add($branchlabel, $branchurl, $branchtitle, $branchsort);

     }





       public function custom_menu($custommenuitems = '') {

            global $CFG;

            if (empty($custommenuitems) && !empty($CFG->custommenuitems)) {

                $custommenuitems = $CFG->custommenuitems;

            }

            if (empty($custommenuitems)) {

                return '$branch';

            }

            $custommenu = new custom_menu($custommenuitems, current_language());

            return $this->render_custom_menu($custommenu);

    }



}



























